import { HcApi } from '../request/index'

//获取租户详情
export const getTenantDetail = (id) => HcApi({
    url: '/api/blade-system/tenant/detail',
    method: 'get',
    params: {
        tenantId: id,
    },
})

//获取更新信息
export const getVersionJson = () => HcApi({
    url: 'version.json?time=' + new Date().getTime(),
    method: 'get',
})

//获取项目下的合同段信息
export const getContractInfo = (form) => HcApi({
    url: '/api/blade-manager/contractInfo/get-contractInfo',
    method: 'get',
    params: form,
})
