import { httpApi } from 'hc-vue3-ui'
import router from '~src/router/index'

//封装的请求
export const HcApi = async (obj) => {
    return new Promise((resolve) => {
        httpApi(obj).then((response) => {
            resolve(response)
        }).catch((response) => {
            getResData(response)
            resolve(response)
        })
    })
}

//处理数据
const getResData = ({ code, msg }) => {
    if (code === 401) {
        //window.$message?.error('身份失效,请重新登录！')
        router.push({ path: '/login' }).then()
    } else if (code !== 404 && code !== 500 && code !== 504) {
        console.log(msg)
    }
}
